Imports Steema.TeeChart

Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        TChart1.Series.RemoveAllSeries()

        Dim l As New Styles.Line(TChart1.Chart)

        With l
            'Title and Key (we store the key in the line tag so we can - in code - relate the chart line with the object that represents it in the mytdo.
            .Title = "A Line"
            .Tag = "LineTag"

            'Pen colour, width and style
            .Color = Color.Blue
            .LinePen.Width = 1
            .LinePen.Style = Drawing2D.DashStyle.Solid

            'Axes properties
            .HorizAxis = Styles.HorizontalAxis.Bottom
            .VertAxis = Styles.VerticalAxis.Left

            'Visible cursor on mouse over
            .Cursor = Cursors.Hand

            'Line events
            AddHandler .MouseEnter, AddressOf series_MouseEnter
            AddHandler .MouseLeave, AddressOf series_MouseLeave

            'Data
            For point As Integer = 0 To 10
                .Add(point, 2)
            Next

        End With

        'TChart1.Axes.Left.SetMinMax(2, 16)
        TChart1.Axes.Bottom.SetMinMax(0, 10)

    End Sub

    Private Sub series_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs)
        Me.Text = DirectCast(sender, Steema.TeeChart.Styles.Series).Tag.ToString
    End Sub

    Private Sub series_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs)
        'not important
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        Dim s As New Styles.Points(TChart1.Chart)

        With s
            'UI
            .Title = "A Green Point"
            .Tag = "PointTagGreen"

            'Point format
            .Pointer.Style = Styles.PointerStyles.Circle
            .Pointer.Color = Color.Green
            .Pointer.VertSize = 5
            .Pointer.HorizSize = 5

            'Axes
            .HorizAxis = Styles.HorizontalAxis.Bottom
            .VertAxis = Styles.VerticalAxis.Left

            'Cursor type when over series
            .Cursor = Cursors.Hand

            .Add(4, 3)

            AddHandler .MouseEnter, AddressOf series_MouseEnter
            AddHandler .MouseLeave, AddressOf series_MouseLeave

        End With

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim s As New Styles.Points(TChart1.Chart)

        With s
            'UI
            .Title = "A red Point"
            .Tag = "PointTagRed"

            'Point format
            .Pointer.Style = Styles.PointerStyles.Circle
            .Pointer.Color = Color.Red
            .Pointer.VertSize = 5
            .Pointer.HorizSize = 5

            'Axes
            .HorizAxis = Styles.HorizontalAxis.Bottom
            .VertAxis = Styles.VerticalAxis.Left

            'Cursor type when over series
            .Cursor = Cursors.Hand

            .Add(4, 2)

            AddHandler .MouseEnter, AddressOf series_MouseEnter
            AddHandler .MouseLeave, AddressOf series_MouseLeave

        End With
    End Sub
End Class
